Close an active theft report
This service can be used to close an active theft report.
By default, a report is valid for 30 days. It can be closed at any time before expiration, for example if the vehicle has been recovered.
The unique identifier of the stolen vehicle report to be retrieved
Drivekit Admin API key
The reason for closing the theft report
Additional comments regarding the closure of the theft report
Successful response with the details of the stolen vehicle report
The unique identifier of the stolen vehicle report
The date and time when the report was created, in ISO 8601 format
2026-04-24T14:50:40.407+00:00The date and time when the vehicle was reported as stolen, in ISO 8601 format
2026-04-23T21:55:09.954+00:00The date and time when the theft report was closed, in ISO 8601 format
2026-05-23T21:55:09.954+00:00The reason for closing the theft report
Additional comments regarding the closure of the theft report
The status of the theft report
Unauthorized
Not found
Unprocessable Entity (e.g., the report is not active)
PUT /v3/drivekit/admin/beacon/reports/{reportId}/close HTTP/1.1
Host: service.drivequant.com
DriveKit-Admin-API-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"reason": "VEHICLE_RECOVERED",
"comment": "text"
}{
"id": "6a9e826e2accf16350a81f62",
"requestDate": "2026-04-24T14:50:40.407+00:00",
"theftReportDate": "2026-04-23T21:55:09.954+00:00",
"theftReportClosingDate": "2026-05-03T19:25:00.000+00:00",
"theftReportClosingReason": "VEHICLE_RECOVERED",
"theftReportClosingComment": "Vehicle recovered in good condition",
"status": "CLOSED",
"beacon": {
"uuid": "123e4567-e89b-12d3-a456-426614174000",
"major": 100,
"minor": 200
}
}Request body
The table below summarizes the content of the request body.
reason
string
Reason for the status update.
Allowed values: VEHICLE_RECOVERED, VEHICLE_DESTROYED, OTHER
comment
string
Free comment
Max: 512 characters
Response body
The table below summarizes the content of the response body.
id
string
Unique identifier of the theft report
requestDate
string
Date at which the theft was reported on DriveQuant platform.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportDate
string
Date at which the theft was reported to the authorities.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportClosingDate
string
Date at which the theft report expires.
Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ
theftReportClosingReason
string
Reason for closing the report.
Allowed values: VEHICLE_RECOVERED, VEHICLE_DESTROYED, OTHER
theftReportClosingComment
string
Free comment when closing the report. Nullable
status
string
Status of the report.
Allowed values: CLOSED
Beacon
The table below summarizes the content of the Beacon object.
uuid
string
iBeacon UUID
major
integer
iBeacon major identifier
minor
integer
iBeacon minor identifier
Last updated
Was this helpful?

